#! /bin/bash

if [ $# -lt 1 ]; then
echo "Usage: `basename $0` scriptfile"
exit 1
fi

scriptfile=$1

cat ${scriptfile} | tr '\r' '\n' | grep '[0-9a-f]\{8\}: \([0-9a-f]\{8\} \)\{2\}\( [0-9a-z]\{8\}\)\{2\}' | sort -n | uniq -w8
