#! /usr/bin/perl 
#
# extracts firmware from usbsnoop dump
# 

my(@lines) = <STDIN>;
my($size) = 0;

for (my $i = 0 ; ($i < @lines) ; $i+=1) 
{
	$line = $lines[$i];
	$line =~ "0x([0-9a-f]{2})([0-9a-f]{2})([0-9a-f]{2})([0-9a-f]{2})";
	my $count1 = $1;
	my $count2 = $2;
	my $count3 = $3;
	my $count4 = $4;
	#little-endian
	process_line("$count4 $count3 $count2 $count1");
}

sub process_line
{
    my $line = shift;
    @elems = split(/ /, $line);
    for (my $i = 0 ; $i < @elems ; $i++) 
    {
	$num = hex(@elems[$i]);
	printf STDOUT ("%c",$num);
    }
}

