#! /bin/bash
ARGS=1

if [ $# -ne ${ARGS} ]
then
    echo "Usage : `basename $0` device"
    exit 1;
fi

DEVICE=$1

#complete readback of the hardware registers area
#2^10x32 bits
START=`printf %i 0xc0000000`
END=`printf %i 0xc0000fff`
for i in `seq -f %1.f ${START} 4 ${END}`;
do
./islsmctrl --dev ${DEVICE} --rmem --addr ${i}
done
