#! /bin/bash

ARGS=1

if [ $# -ne ${ARGS} ]
then
    echo "Usage : `basename $0` device"
    exit 1;
fi

DEVICE=$1

#complete readback of the ROM memory area
#2^10x32 bits
START=`printf %i 0xe0000000`
END=`printf %i 0xe0000fff`

#call other script

for i in `seq -f %1.f ${START} 4 ${END}`;
do
./islsmctrl --dev ${DEVICE} --rmem --addr ${i}
done
